## org.apache.lucene.benchmark.byTask.tasks
Class DeleteDocTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.DeleteDocTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class DeleteDocTask

extends PerfTask

Delete a document by docid. If no docid param is supplied, deletes doc with `id = last-deleted-doc + doc.delete.step`.

Field Summary
`static int` `DEFAULT_DOC_DELETE_STEP` Gap between ids of deleted docs, applies when no docid param is provided.

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`DeleteDocTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected java.lang.String` `getLogMessage(int recsCount)`
`void` `setParams(java.lang.String params)` Set the params (docid only)
`void` `setup()` Task setup work that should not be measured for that specific task.
`boolean` `supportsParams()` Sub classes that supports parameters must override this method to return true.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, shouldNeverLogAtStart, shouldNotRecordStats, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DOC_DELETE_STEP

    public static final int DEFAULT_DOC_DELETE_STEP

  Gap between ids of deleted docs, applies when no docid param is provided.

  See Also:
    Constant Field Values

Constructor Detail

### DeleteDocTask

    public DeleteDocTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

### setup

    public void setup()
               throws java.lang.Exception

  Description copied from class: `PerfTask`
  Task setup work that should not be measured for that specific task. By default it does nothing, but tasks can implement this, moving work from doLogic() to this method. Only the work done in doLogicis measured for this task. Notice that higher level (sequence) tasks containing this task would then measure larger time than the sum of their contained tasks.

  Overrides:
    `setup` in class `PerfTask`
  Throws:
    `java.lang.Exception`

### getLogMessage

    protected java.lang.String getLogMessage(int recsCount)

  Overrides:
    `getLogMessage` in class `PerfTask`

### setParams

    public void setParams(java.lang.String params)

  Set the params (docid only)

  Overrides:
    `setParams` in class `PerfTask`
  Parameters:
    `params` - docid to delete, or -1 for deleting by delete gap settings.

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that supports parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.